Support » Plugin: EasyAzon - Amazon Associates Affiliate Plugin » easyazon not working with aawp

  • Resolved vitalyzhukbiz

    (@vitalyzhukbiz)


    I have easyazon installed and aawp.

    After last update your plug in does not work unless aawp is disabled.

    before updates everything was working ok.

    this is the message I get when you open the easyazon settings

    Credentials
    The site is experiencing technical difficulties. Please check your site admin email inbox for instructions.

Viewing 7 replies - 1 through 7 (of 7 total)
  • I have the same problem as you.

    Same here…

    Plugin Author boostwpcom

    (@boostwpcom)

    We are looking into this. It looks like they made an update to their plugin that is creating a conflict with ours as well.

    Plugin Author boostwpcom

    (@boostwpcom)

    We identified an issue in their code and are doing our best to pass it onto them now. In case they see this or if another AAWP user wants to point it out. This is the issue. I’m copy-pasting from our developer:

    They are not appropriately using an autoloader for their vendor packages. They’re explicitly requiring function files for some reason.

    They should change this block:

    if ( ! function_exists( 'GuzzleHttp\choose_handler' ) )
        require_once _DIR_ . '/vendor/amazon-paapi5/vendor/guzzlehttp/guzzle/src/functions.php';
    
    if ( ! function_exists( '\GuzzleHttp\Psr7\build_query' ) )
        require_once _DIR_ . '/vendor/amazon-paapi5/vendor/guzzlehttp/psr7/src/functions.php';
    
    if ( ! function_exists( '\Promise\promise_for' ) )
        require_once _DIR_ . '/vendor/amazon-paapi5/vendor/guzzlehttp/promises/src/functions.php';

    To be this instead:

    if ( ! function_exists( 'GuzzleHttp\choose_handler' ) )
        require_once _DIR_ . '/vendor/amazon-paapi5/vendor/guzzlehttp/guzzle/src/functions_include.php';
    
    if ( ! function_exists( '\GuzzleHttp\Psr7\build_query' ) )
        require_once _DIR_ . '/vendor/amazon-paapi5/vendor/guzzlehttp/psr7/src/functions_include.php';
    
    if ( ! function_exists( '\Promise\promise_for' ) )
        require_once _DIR_ . '/vendor/amazon-paapi5/vendor/guzzlehttp/promises/src/functions_include.php';
    • This reply was modified 2 months, 3 weeks ago by boostwpcom.
    • This reply was modified 2 months, 3 weeks ago by boostwpcom.
    Plugin Author boostwpcom

    (@boostwpcom)

    We heard from another user that AAWP released a fix that no longer creates an issue with our plugin. Perhaps they used the fix above or found another work around.

    Closing this now.

    Thank you so much for your patience everyone. We would have preferred not to go through this time-consuming PA API 4.0 to PA API 5.0 upgrade but I believe we’re finally there.

    I can confirm that this issue is fixed with AAWP 3.9.4.

    Thanks

    Hey guys,

    here’s Florian from AAWP.

    Indeed we fixed the issue from our side with the latest update v3.9.4 (changelog).

    Cheers

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.